## cinnamon-settings-daemon 4.2.2

=== debian/changelog ===
cinnamon-settings-daemon (4.2.2-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 12:43:29 -0700

cinnamon-settings-daemon (4.2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:28:12 +0900

cinnamon-settings-daemon (4.2.2-1) experimental; urgency=medium

  * New upstream release (4.2.2)
  * Add python3-tinycss to deps 
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:56:14 +0900

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 11.1~),
 docbook-xsl,
 intltool (>= 0.37.1),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 4.2~),
 libcolord-dev (>= 0.1.27),
 libcups2-dev,
 libdbus-glib-1-dev (>= 0.88),
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev (>= 3.6.0),
 libgtk-3-dev (>= 3.9.10),
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev (>= 0.7.0),
 libnss3-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev (>= 0.9.16),
 librsvg2-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.11),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 libxtst-dev,
 xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
 xsltproc,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon.git

Package: cinnamon-settings-daemon
Architecture: any
Depends: cinnamon-desktop-data (>= 4.2), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n (>= 4.2), pulseaudio
Suggests:
 cinnamon-screensaver (>= 4.2),
 gnome-calculator | galculator | mate-calc,
 gnome-power-manager,
 gnome-screenshot,
 muffin (>= 4.2) | x-window-manager,
 tracker-gui | gnome-search-tool,
 x11-xserver-utils,
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 cinnamon (<< 4.2),
 cinnamon-control-center (<< 4.2),
 cinnamon-core (<< 4.2~),
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends:
 libdbus-glib-1-dev (>= 0.74),
 libglib2.0-dev (>= 2.26.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

## cinnamon-settings-daemon 4.2.2+cindy

=== debian/changelog ===
cinnamon-settings-daemon (4.2.2+cindy) tina; urgency=medium

  [ Corbin Auriti ]
  *  Fix Shutdown immediately not working - the easy way (#260)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:22:37 +0200

cinnamon-settings-daemon (4.2.1) tina; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Define UP_DEVICE_LEVEL_NONE for ourselves if it's missing.  UpDeviceLevel was new in 0.99.0.
  * csd-power-manager.c: Use gint instead of an enum type for compatibility with < 0.99.0 upower.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:53:38 +0200

cinnamon-settings-daemon (4.2.0) tina; urgency=medium

  [ montagdude ]
  * Implement suspend/hibernate with ConsoleKit (#252)

  [ Clement Lefebvre ]
  * Power: Clean up unused code

  [ Mirko Girgenti ]
  * https://github.com/linuxmint/cinnamon-settings-daemon/issues/192 (#246)

  [ Clement Lefebvre ]
  * Disable natural-scroll by default for mice

  [ Michael Webster ]
  * csd-mouse-manager.c: Fix issues from bfa99478e0d996fe (Natural mouse scrolling).
  * misc: Use gdk_x11_display_error_trap_* instead of deprecated gdk_error_trap_*.
  * configure.ac: disable deprecation warnings entirely.
  * csd-power-manager.c: Check for a device battery-level property before attempting to access it.

  [ William Poetra Yoga ]
  * Prevent Segmentation Fault (#255)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:37:44 +0200

cinnamon-settings-daemon (4.0.3) tessa; urgency=medium

  * Xrandr: Rotate touchscreens when applying a new configuration
  * Wacom: Disable automatic rotation by default and make it configurable
  * Wacom: Re-enable automatic rotation by default

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:21:34 +0000

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 autotools-dev,
 debhelper (>= 10),
 docbook-xsl,
 intltool (>= 0.37.1),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 3.4~),
 libcolord-dev (>= 0.1.27),
 libcups2-dev,
 libcvc-dev (>= 3.4~),
 libdbus-glib-1-dev (>= 0.88),
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev (>= 3.6.0),
 libgtk-3-dev (>= 3.9.10),
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev (>= 0.7.0),
 libnss3-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev (>= 0.9.16),
 librsvg2-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.11),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 libxtst-dev,
 xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
 xsltproc,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com

Package: cinnamon-settings-daemon
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3), ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n, pulseaudio
Suggests:
 cinnamon-screensaver,
 gnome-calculator | galculator | mate-calc,
 gnome-power-manager,
 gnome-screenshot,
 muffin | x-window-manager,
 tracker-gui | gnome-search-tool,
 x11-xserver-utils,
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 banshee (<< 0.13.2+dfsg-7),
 gnome-color-manager (<< 3.0),
 gnome-screensaver (<< 2.28.0),
 gnome-session (<< 2.24),
 rhythmbox (<< 0.11.5),
 totem (<< 2.22.0),
 unity-greeter (<< 0.2.1-0ubuntu1),
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends:
 libdbus-glib-1-dev (>= 0.74),
 libglib2.0-dev (>= 2.26.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon

override_dh_link:
	# Make *.links compatible with multiarch
	for in_file in debian/*.links.in; do \
	    out_file=$${in_file%.in}; \
	    sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' \
		"$${in_file}" > "$${out_file}"; \
	done
	dh_link

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	# Disabled, there are no shared libraries, but some plugins that cause this
	# to fail

override_dh_auto_test:
	# Disable old test suite on build time

override_dh_clean:
	# Remove autogenerated links
	for in_file in debian/*.links.in; do \
	    out_file=$${in_file%.in}; \
		rm -f "$${out_file}"; \
	done
	dh_clean

## cinnamon-settings-daemon 4.2.2+tina

=== debian/changelog ===
cinnamon-settings-daemon (4.2.2+tina) tina; urgency=medium

  [ Corbin Auriti ]
  *  Fix Shutdown immediately not working - the easy way (#260)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:22:37 +0200

## cinnamon-settings-daemon 4.4.0

=== debian/changelog ===
cinnamon-settings-daemon (4.4.0-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Bump deps and reverse-deps to avoid partial upgrade on testing migration

 -- Norbert Preining <norbert@preining.info>  Mon, 10 Feb 2020 22:49:24 +0900

cinnamon-settings-daemon (4.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:40:41 +0900

cinnamon-settings-daemon (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:49:42 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: cinnamon-settings-daemon
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  autoconf-archive,
  automake,
- autotools-dev,
- debhelper (>= 10),
+ debhelper (>= 11.1~),
  docbook-xsl,
  intltool (>= 0.37.1),
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 3.4~),
+ libcinnamon-desktop-dev (>= 4.2~),
  libcolord-dev (>= 0.1.27),
  libcups2-dev,
- libcvc-dev (>= 3.4~),
  libdbus-glib-1-dev (>= 0.88),
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.37.3),
@@ -36,30 +39,28 @@
  libxtst-dev,
  xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon.git
 
 Package: cinnamon-settings-daemon
 Architecture: any
-Depends: cinnamon-desktop-data (>= 2.6.3), ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n, pulseaudio
+Depends: cinnamon-desktop-data (>= 4.4), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 4.4), pulseaudio
 Suggests:
- cinnamon-screensaver,
+ cinnamon-screensaver (>= 4.4),
  gnome-calculator | galculator | mate-calc,
  gnome-power-manager,
  gnome-screenshot,
- muffin | x-window-manager,
+ muffin (>= 4.4) | x-window-manager,
  tracker-gui | gnome-search-tool,
  x11-xserver-utils,
 Pre-Depends: ${misc:Pre-Depends}
 Breaks:
- banshee (<< 0.13.2+dfsg-7),
- gnome-color-manager (<< 3.0),
- gnome-screensaver (<< 2.28.0),
- gnome-session (<< 2.24),
- rhythmbox (<< 0.11.5),
- totem (<< 2.22.0),
- unity-greeter (<< 0.2.1-0ubuntu1),
+ cinnamon (<< 4.4),
+ cinnamon-control-center (<< 4.4),
+ cinnamon-core (<< 4.4~),
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a Cinnamon session and the applications that run
@@ -83,6 +84,6 @@
  libglib2.0-dev (>= 2.26.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Headers for building applications communicating with cinnamon-settings-daemon
+Description: headers for building applications communicating with cinnamon-settings-daemon
  This package contains header files required to build applications that
  communicate with the Cinnamon settings daemon over D-Bus.

## cinnamon-settings-daemon 4.4.0+tricia

=== debian/changelog ===
cinnamon-settings-daemon (4.4.0+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * automount: Add autorun dialog tester. (#263)
  * mouse manager: Expose libinput option to disable the touchpad when an external mouse is attached.
  * mouse manager: Simplify previous commit - get/set properties here already check for support, there's no need to pre-check.
  * mouse manager: set the 'disable touchpad with mouse' on devices at startup.
  * csd-input-helper.c: Use correct error_trap_pop function.
  * power helper - Try to use logind, then fallback to using consolekit, instead of using a gsettings key to decide.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 16:37:55 +0100

cinnamon-settings-daemon (4.2.2) tina; urgency=medium

  [ Corbin Auriti ]
  *  Fix Shutdown immediately not working - the easy way (#260)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:22:37 +0200

## cinnamon-settings-daemon 4.6.4

=== debian/changelog ===
cinnamon-settings-daemon (4.6.4-1) unstable; urgency=medium

  * New upstream version 4.6.4

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:57:22 +0900

cinnamon-settings-daemon (4.6.3-1) experimental; urgency=medium

  * New upstream version 4.6.3

 -- Norbert Preining <norbert@preining.info>  Fri, 19 Jun 2020 19:15:14 +0900

cinnamon-settings-daemon (4.6.1-2) experimental; urgency=medium

  * Bump B-D on libcinnamon-desktop-dev to 4.6 to fix build errors

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Jun 2020 22:20:35 +0900

cinnamon-settings-daemon (4.6.1-1) experimental; urgency=medium

  * New upstream release 4.6.1

 -- Norbert Preining <norbert@preining.info>  Sat, 30 May 2020 23:18:13 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  docbook-xsl,
  intltool (>= 0.37.1),
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 4.2~),
+ libcinnamon-desktop-dev (>= 4.6~),
  libcolord-dev (>= 0.1.27),
  libcups2-dev,
  libdbus-glib-1-dev (>= 0.88),
@@ -46,21 +46,21 @@
 
 Package: cinnamon-settings-daemon
 Architecture: any
-Depends: cinnamon-desktop-data (>= 4.4), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n (>= 4.4), pulseaudio
+Depends: cinnamon-desktop-data (>= 4.6~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 4.6~), pulseaudio
 Suggests:
- cinnamon-screensaver (>= 4.4),
+ cinnamon-screensaver (>= 4.6~),
  gnome-calculator | galculator | mate-calc,
  gnome-power-manager,
  gnome-screenshot,
- muffin (>= 4.4) | x-window-manager,
+ muffin (>= 4.6~) | x-window-manager,
  tracker-gui | gnome-search-tool,
  x11-xserver-utils,
 Pre-Depends: ${misc:Pre-Depends}
 Breaks:
- cinnamon (<< 4.4),
- cinnamon-control-center (<< 4.4),
- cinnamon-core (<< 4.4~),
+ cinnamon (<< 4.6~),
+ cinnamon-control-center (<< 4.6~),
+ cinnamon-core (<< 4.6~),
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a Cinnamon session and the applications that run

## cinnamon-settings-daemon 4.6.4+ulyana

=== debian/changelog ===
cinnamon-settings-daemon (4.6.4+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * csd-automount-manager.c: Add a small delay to folder opening after (#290)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jun 2020 13:36:11 +0100

cinnamon-settings-daemon (4.6.3) ulyana; urgency=medium

  * l10n: Fix missing i18n in wacom and print-notifications plugins

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 15:37:00 +0100

cinnamon-settings-daemon (4.6.2) ulyana; urgency=medium

  [ Michael Webster ]
  * debian/cinnamon-settings-daemon.links: Fix typo.

  [ Clement Lefebvre ]
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jun 2020 13:03:17 +0100

cinnamon-settings-daemon (4.6.1) ulyana; urgency=medium

  [ Garry Filakhtov ]
  * Fix the build in highly-concurrent scenarios

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:39:02 +0100

cinnamon-settings-daemon (4.6.0) ulyana; urgency=medium

  [ Leigh Scott ]
  * Restore old check for logind

  [ Markus Teich ]
  * Handle a custom screensaver command

  [ Eli Schwartz ]
  * Fix up the configure check for dbus directories.
  * Remove old ibus files from the tree.

  [ Michael Webster ]
  * csd-xrandr-manager.c: Check if we were given laptop info before trying to use it (fixes a warning usually at startup).

  [ Clement Lefebvre ]
  * Update project URL

  [ Michael Webster ]
  * csd-xrandr-manager.c: Update for new cinnamon-desktop api to use legacy monitor.xml files.
  * xrandr/xsettings: Make global scale factor a monitor-configuration value.
  * csd-xrandr: Fix misleading message when no existing configurations are found.

  [ Garry Filakhtov ]
  * Modify build system to make some dependencies optional and fix some required dependencies (#285)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 14:42:34 +0100

cinnamon-settings-daemon (4.4.0) tricia; urgency=medium

  [ Michael Webster ]
  * automount: Add autorun dialog tester. (#263)
  * mouse manager: Expose libinput option to disable the touchpad when an external mouse is attached.
  * mouse manager: Simplify previous commit - get/set properties here already check for support, there's no need to pre-check.
  * mouse manager: set the 'disable touchpad with mouse' on devices at startup.
  * csd-input-helper.c: Use correct error_trap_pop function.
  * power helper - Try to use logind, then fallback to using consolekit, instead of using a gsettings key to decide.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 16:37:55 +0100

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 autotools-dev,
 debhelper (>= 10),
 docbook-xsl,
 intltool (>= 0.37.1),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 3.4~),
 libcolord-dev (>= 0.1.27),
 libcups2-dev,
 libcvc-dev (>= 3.4~),
 libdbus-glib-1-dev (>= 0.88),
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev (>= 3.6.0),
 libgtk-3-dev (>= 3.9.10),
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev (>= 0.7.0),
 libnss3-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev (>= 0.9.16),
 librsvg2-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.11),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 libxtst-dev,
 xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
 xsltproc,
Standards-Version: 3.9.8

Package: cinnamon-settings-daemon
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3), ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n, pulseaudio
Suggests:
 cinnamon-screensaver,
 gnome-calculator | galculator | mate-calc,
 gnome-power-manager,
 gnome-screenshot,
 muffin | x-window-manager,
 tracker-gui | gnome-search-tool,
 x11-xserver-utils,
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 banshee (<< 0.13.2+dfsg-7),
 gnome-color-manager (<< 3.0),
 gnome-screensaver (<< 2.28.0),
 gnome-session (<< 2.24),
 rhythmbox (<< 0.11.5),
 totem (<< 2.22.0),
 unity-greeter (<< 0.2.1-0ubuntu1),
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends:
 libdbus-glib-1-dev (>= 0.74),
 libglib2.0-dev (>= 2.26.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

## cinnamon-settings-daemon 4.8.2

=== debian/changelog ===
cinnamon-settings-daemon (4.8.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:59 +0900

cinnamon-settings-daemon (4.8.2-1) experimental; urgency=medium

  * New upstream version 4.8.2
  * Bump B-D on cinnamon-desktop to 4.8 according to upstream changes

 -- Norbert Preining <norbert@preining.info>  Sat, 05 Dec 2020 21:18:47 +0900

cinnamon-settings-daemon (4.8.1-1) experimental; urgency=medium

  * New upstream version 4.8.1
  * switch to meson
  * bump dh compat to 13
  * remove and don't install apport file
  * Remove unused override stanza from d/rules.
  * Bump inter-cinnamon deps to 4.8

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:38:32 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: cinnamon-settings-daemon
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
- autoconf-archive,
- automake,
- autotools-dev,
- debhelper (>= 10),
+ meson (>= 0.37.0),
+ debhelper-compat (= 13),
  docbook-xsl,
  intltool (>= 0.37.1),
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 3.4~),
+ libcinnamon-desktop-dev (>= 4.8~),
  libcolord-dev (>= 0.1.27),
  libcups2-dev,
- libcvc-dev (>= 3.4~),
  libdbus-glib-1-dev (>= 0.88),
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.37.3),
@@ -36,29 +38,28 @@
  libxtst-dev,
  xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
+Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon.git
 
 Package: cinnamon-settings-daemon
 Architecture: any
-Depends: cinnamon-desktop-data (>= 2.6.3), ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n, pulseaudio
+Depends: cinnamon-desktop-data (>= 4.8~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 4.8~), pulseaudio
 Suggests:
- cinnamon-screensaver,
+ cinnamon-screensaver (>= 4.8~),
  gnome-calculator | galculator | mate-calc,
  gnome-power-manager,
  gnome-screenshot,
- muffin | x-window-manager,
+ muffin (>= 4.6~) | x-window-manager,
  tracker-gui | gnome-search-tool,
  x11-xserver-utils,
 Pre-Depends: ${misc:Pre-Depends}
 Breaks:
- banshee (<< 0.13.2+dfsg-7),
- gnome-color-manager (<< 3.0),
- gnome-screensaver (<< 2.28.0),
- gnome-session (<< 2.24),
- rhythmbox (<< 0.11.5),
- totem (<< 2.22.0),
- unity-greeter (<< 0.2.1-0ubuntu1),
+ cinnamon (<< 4.8~),
+ cinnamon-control-center (<< 4.8~),
+ cinnamon-core (<< 4.8~),
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a Cinnamon session and the applications that run
@@ -82,6 +83,6 @@
  libglib2.0-dev (>= 2.26.0),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Headers for building applications communicating with cinnamon-settings-daemon
+Description: headers for building applications communicating with cinnamon-settings-daemon
  This package contains header files required to build applications that
  communicate with the Cinnamon settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dinstall_binfiles=false \
	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon

override_dh_makeshlibs:
	# Disabled, there are no shared libraries, but some plugins that cause this
	# to fail

override_dh_auto_test:
	# Disable old test suite on build time

## cinnamon-settings-daemon 4.8.3

=== meson_options.txt ===
option(
    'dbus_service_dir',
    type: 'string',
    value: '',
    description: 'Used to specify the dbus service dir'
)
option(
    'dbus_system_dir',
    type: 'string',
    value: '',
    description: 'Used to specify the dbus system dir'
)
option(
    'use_polkit',
    type: 'feature',
    value: 'auto',
    description: 'Whether to use polkit in the build'
)
option(
    'use_logind',
    type: 'feature',
    value: 'auto',
    description: 'Whether to use logind in the build'
)
option(
    'use_gudev',
    type: 'feature',
    value: 'enabled',
    description: 'Whether GUdev support should be enabled (not optional on Linux platforms)'
)
option(
    'use_cups',
    type: 'feature',
    value: 'enabled',
    description: 'Whether cups (and therefore the print notifications plugin) support should be enabled'
)
option(
    'enable_smartcard',
    type: 'feature',
    value: 'enabled',
    description: 'Set to false to disable smartcard support'
)
option(
    'use_color',
    type: 'boolean',
    value: true,
    description: 'Whether the color plugin should be enabled'
)
option(
    'enable_debug',
    type: 'boolean',
    value: false,
    description: 'Show additional build warnings'
)
option(
    'install_binfiles',
    type: 'boolean',
    value: true,
    description: 'Add symbolic links to the plugin executables into the bin folder'
)

=== debian/changelog ===
cinnamon-settings-daemon (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Jan 2021 06:32:52 +0900

cinnamon-settings-daemon (4.8.2-3) unstable; urgency=high

  [ Fabio Fantoni ]
  * d/control: Avoid libwacom-dev when not using xserver-xorg-input-wacom
    Thanks to Simon McVittie (Closes: 977762)
  * d/control: Don't B-D on librsvg2-dev where not needed
    Thanks to Simon McVittie

 -- Norbert Preining <norbert@preining.info>  Mon, 21 Dec 2020 04:27:03 +0900

## cinnamon-settings-daemon 4.8.4+ulyssa

=== meson_options.txt ===
--- 
+++ 
@@ -52,9 +52,3 @@
     value: false,
     description: 'Show additional build warnings'
 )
-option(
-    'install_binfiles',
-    type: 'boolean',
-    value: true,
-    description: 'Add symbolic links to the plugin executables into the bin folder'
-)

=== debian/changelog ===
cinnamon-settings-daemon (4.8.4+ulyssa) ulyssa; urgency=medium

  [ Michael Webster ]
  * plugins: Add symbolic links from the old to the new binary locations. (#320)

  [ Clement Lefebvre ]
  * meson: Always install binary links
  * xdg autostart: Refer directly to the executable name

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jan 2021 09:36:35 +0000

cinnamon-settings-daemon (4.8.3) ulyssa; urgency=medium

  [ Michael Webster ]
  * csd-media-keys-manager.c: Keep the volume inside 0 - 100% and keep it divisible by VOLUME_STEP (5).
  * csd-mediakeys: Remove grab requirement for full screenshots.

  [ Clement Lefebvre ]
  * meson: Fix incorrect path for system locale
  * meson: Fix incorrect path for UI file
  * meson: Fix incorrect path in xsettings plugin
  * xsettings: Use a unified gtk-modules path for all versions of CSD

  [ Michael Webster ]
  * xsettings: Go back to looking for the gtk-modules folder in the same place as libcsd.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:28:17 +0000

cinnamon-settings-daemon (4.8.2) ulyssa; urgency=medium

  [ Michael Webster ]
  * media-keys/bus-watch-namespace.c: Fix media player shortcuts.
  * debian/rules: Remove invalid flags.
  * build: Bump cinnamon-desktop version.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Dec 2020 16:47:59 +0000

cinnamon-settings-daemon (4.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * meson.build: Disable deprecated warnings (you can enable with a build flag).
  * csd-media-keys: Check for the availability of a mouse/keyboard grab when running screenshot commands.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 13:48:10 +0000

cinnamon-settings-daemon (4.8.0) ulyssa; urgency=medium

  [ miniskipper ]
  * implement suspend-then-hibernate (issue #237)
  * typo

  [ Stephen Collins ]
  * Port to meson

  [ Michael Webster ]
  * debian/compat: 11
  * Use libexec dir for plugins.
  * Make bin links part of the meson build.
  * Clean up some files.

  [ Fabio Fantoni ]
  * debian/control: remove very old breaks
  * debian/rules: enable hardening bindnow

  [ Michael Webster ]
  * Revert "csd-automount-manager.c: Add a small delay to folder opening after (#290)"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 14:13:30 +0000

cinnamon-settings-daemon (4.6.4) ulyana; urgency=medium

  [ Michael Webster ]
  * csd-automount-manager.c: Add a small delay to folder opening after (#290)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jun 2020 13:36:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    -Dinstall_binfiles=false \
-	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon
+		--libexecdir=/usr/libexec
 
 override_dh_makeshlibs:
 	# Disabled, there are no shared libraries, but some plugins that cause this
 	# to fail
 
-override_dh_auto_test:
-	# Disable old test suite on build time
-

## cinnamon-settings-daemon 4.8.5

=== debian/changelog ===
cinnamon-settings-daemon (4.8.5-1) unstable; urgency=medium

  * New upstream version 4.8.5
  * Don't use dropped meson option: install_binfiles
  * Install new files in /usr/bin

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:21:56 +0900

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  libnss3-dev,
  libpolkit-gobject-1-dev,
  libpulse-dev (>= 0.9.16),
- librsvg2-dev,
+ librsvg2-dev [!s390x !hurd-any !kfreebsd-any],
  libsystemd-dev [linux-any],
  libupower-glib-dev (>= 0.9.11),
- libwacom-dev (>= 0.4) [linux-any],
+ libwacom-dev (>= 0.4) [!s390x !hurd-any !kfreebsd-any],
  libx11-dev,
  libxext-dev,
  libxi-dev,
@@ -38,6 +38,8 @@
  libxtst-dev,
  xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
  xsltproc,
+Build-Conflicts:
+ libwacom-dev [s390x hurd-any kfreebsd-any],
 Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-settings-daemon

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,12 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/libexec
+	    --libexecdir=lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon
 
 override_dh_makeshlibs:
 	# Disabled, there are no shared libraries, but some plugins that cause this
 	# to fail
 
+override_dh_auto_test:
+	# Disable old test suite on build time
+

## cinnamon-settings-daemon 5.0.4

=== debian/changelog ===
cinnamon-settings-daemon (5.0.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:03 +0900

cinnamon-settings-daemon (5.0.4-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.4

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:19:51 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  docbook-xsl,
  intltool (>= 0.37.1),
  libcanberra-gtk3-dev,
- libcinnamon-desktop-dev (>= 4.8~),
+ libcinnamon-desktop-dev (>= 5.0~),
  libcolord-dev (>= 0.1.27),
  libcups2-dev,
  libdbus-glib-1-dev (>= 0.88),
@@ -47,10 +47,10 @@
 
 Package: cinnamon-settings-daemon
 Architecture: any
-Depends: cinnamon-desktop-data (>= 4.8~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n (>= 4.8~), pulseaudio
+Depends: cinnamon-desktop-data (>= 5.0~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 5.0~), pulseaudio
 Suggests:
- cinnamon-screensaver (>= 4.8~),
+ cinnamon-screensaver (>= 5.0~),
  gnome-calculator | galculator | mate-calc,
  gnome-power-manager,
  gnome-screenshot,
@@ -59,9 +59,9 @@
  x11-xserver-utils,
 Pre-Depends: ${misc:Pre-Depends}
 Breaks:
- cinnamon (<< 4.8~),
- cinnamon-control-center (<< 4.8~),
- cinnamon-core (<< 4.8~),
+ cinnamon (<< 5.0~),
+ cinnamon-control-center (<< 5.0~),
+ cinnamon-core (<< 5.0~),
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a Cinnamon session and the applications that run

=== debian/watch ===
version=3
opts="dversionmangle=s/\+repack//;s/\+dfsg//;s/\+up[0-9]//,filenamemangle=s/.*\/(.*)/cinnamon-settings-daemon-$1/" \
  https://github.com/linuxmint/cinnamon-settings-daemon/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-settings-daemon 5.0.4%2Buma

=== debian/changelog ===
cinnamon-settings-daemon (5.0.4+uma) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Reset the timers when the idle-delay changes.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:28:14 +0100

cinnamon-settings-daemon (5.0.3) uma; urgency=medium

  [ Eli Schwartz ]
  * meson: simplify version check for lcms2

  [ Leigh Scott ]
  * EDID strings can be up to 13 bytes
  * color: Correct the transposed bits in the EDID parser

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:02 +0100

cinnamon-settings-daemon (5.0.2) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Use a different method to determine whether or not the system is on battery.
  * power: Increase the critical and action thresholds so they are higher than the upower default.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Jun 2021 16:28:03 +0100

cinnamon-settings-daemon (5.0.1) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Remove percentage from mouse and keyboard 'warning' notifications.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 14:03:36 +0100

cinnamon-settings-daemon (5.0.0) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Make sure to propagate the icon and/or state properties immediately when they change.
  * power/gpm-common.c: Prefer more specific battery level icons if they're available in the theme.
  * gpm-common.c: Adjust thresholds for battery-level icon changes.

  [ Mike Gerow ]
  * datetime: use full path for d-bus service Exec

  [ Sparky Bluefang ]
  * build: Add missing defines. Fix optional wacom build. Make build options behave consistently.

  [ Joshua Peisach ]
  * Shush compiler warnings (#329)

  [ Michael Webster ]
  * csd-xrandr-manager.c: Fix some build warnings.
  * csd-power-manager.c: Manage idle activation of cinnamon-screensaver instead of making the screensaver itself handle it.

  [ Joshua Peisach ]
  * wacom: Fix a crash from assertion failures

  [ Michael Webster ]
  * csd-power-manager.c: Remove percentage from non-battery critical notifications.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 31 May 2021 13:42:46 +0100

cinnamon-settings-daemon (4.8.5) ulyssa; urgency=medium

  [ Eli Schwartz ]
  * do not delete programs and replace them with broken symlinks to themselves

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jan 2021 23:02:05 +0000

cinnamon-settings-daemon (4.8.4) ulyssa; urgency=medium

  [ Michael Webster ]
  * plugins: Add symbolic links from the old to the new binary locations. (#320)

  [ Clement Lefebvre ]
  * meson: Always install binary links
  * xdg autostart: Refer directly to the executable name

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jan 2021 09:36:35 +0000

## cinnamon-settings-daemon 5.0.4+debbie

=== debian/changelog ===
cinnamon-settings-daemon (5.0.4+debbie) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Reset the timers when the idle-delay changes.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:28:14 +0100

## cinnamon-settings-daemon 5.2.0

=== debian/changelog ===
cinnamon-settings-daemon (5.2.0-3build1) jammy; urgency=medium

  * Rebuild against against libwacom9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 06 Feb 2022 22:43:14 +0100

cinnamon-settings-daemon (5.2.0-3) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Jan 2022 19:51:18 +0100

cinnamon-settings-daemon (5.2.0-2) experimental; urgency=medium

  * add a path that remove creation of link to binaries using a
    script
  * add symlink to /usr/bin using dh_link to make working the
    .desktop files that don't have full path
  * remove tracker-gui and gnome-search-tool from suggests

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 02 Jan 2022 09:42:19 +0100

cinnamon-settings-daemon (5.2.0-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.2.0
  * Remove useless --as-needed linker flag, set bindnow to all
  * Add myself as Uploader
  * Bump Cinnamon deps and breaks to 5.2

  [ Laurent Bigonville ]
  * Explicitly disable gudev on non-linux architectures, this fixes the FTBFS
    (Closes: 1001617)
  * Disable polkit support on non-linux architectures, polkit is not
    functional on these, only the libraries are built there
  * Explicitly disable wacom and logind support on non-linux architectures
  * Drop the libdbus-glib-1-dev dependency in cinnamon-settings-daemon-dev,
    that looks useless looking at the pkg-config file

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sat, 04 Dec 2021 12:26:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  meson (>= 0.37.0),
  debhelper-compat (= 13),
@@ -25,7 +27,7 @@
  liblcms2-dev,
  libnotify-dev (>= 0.7.0),
  libnss3-dev,
- libpolkit-gobject-1-dev,
+ libpolkit-gobject-1-dev [linux-any],
  libpulse-dev (>= 0.9.16),
  librsvg2-dev [!s390x !hurd-any !kfreebsd-any],
  libsystemd-dev [linux-any],
@@ -47,21 +49,20 @@
 
 Package: cinnamon-settings-daemon
 Architecture: any
-Depends: cinnamon-desktop-data (>= 5.0~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cinnamon-l10n (>= 5.0~), pulseaudio
+Depends: cinnamon-desktop-data (>= 5.2~), python3-tinycss, ${misc:Depends}, ${shlibs:Depends}
+Recommends: cinnamon-l10n (>= 5.2~), pulseaudio
 Suggests:
- cinnamon-screensaver (>= 5.0~),
+ cinnamon-screensaver (>= 5.2~),
  gnome-calculator | galculator | mate-calc,
  gnome-power-manager,
  gnome-screenshot,
  muffin (>= 4.6~) | x-window-manager,
- tracker-gui | gnome-search-tool,
  x11-xserver-utils,
 Pre-Depends: ${misc:Pre-Depends}
 Breaks:
- cinnamon (<< 5.0~),
- cinnamon-control-center (<< 5.0~),
- cinnamon-core (<< 5.0~),
+ cinnamon (<< 5.2~),
+ cinnamon-control-center (<< 5.2~),
+ cinnamon-core (<< 5.2~),
 Description: daemon handling the Cinnamon session settings
  This package contains the daemon which is responsible for setting the
  various parameters of a Cinnamon session and the applications that run
@@ -81,7 +82,6 @@
 Package: cinnamon-settings-daemon-dev
 Architecture: any
 Depends:
- libdbus-glib-1-dev (>= 0.74),
  libglib2.0-dev (>= 2.26.0),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = -Duse_gudev=disabled -Duse_polkit=disabled -Duse_logind=disabled -Duse_wacom=disabled
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon \
	    $(CONFFLAGS)

override_dh_link:
	dh_link
ifeq ($(DEB_HOST_ARCH_OS),linux)
ifneq (${DEB_HOST_ARCH},s390x)
	dh_link -p cinnamon-settings-daemon usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon/csd-list-wacom usr/bin/csd-list-wacom \
	usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon/csd-wacom usr/bin/csd-wacom \
	usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-settings-daemon/csd-wacom-osd usr/bin/csd-wacom-osd
endif
endif

override_dh_makeshlibs:
	# Disabled, there are no shared libraries, but some plugins that cause this
	# to fail

override_dh_auto_test:
	# Disable old test suite on build time

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cinnamon-settings-daemon-$1.tar.gz%" \
   https://github.com/linuxmint/cinnamon-settings-daemon/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cinnamon-settings-daemon 5.2.0%2Buna

=== debian/changelog ===
cinnamon-settings-daemon (5.2.0+una) una; urgency=medium

  [ Leigh Scott ]
  * Add trackball support (#341)

  [ Joshua Peisach ]
  * wacom: Drop LED helper (#337)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 12:51:44 +0000

cinnamon-settings-daemon (5.0.4) uma; urgency=medium

  [ Michael Webster ]
  * csd-power-manager.c: Reset the timers when the idle-delay changes.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 23 Jul 2021 12:28:14 +0100

=== debian/control ===
Source: cinnamon-settings-daemon
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 meson (>= 0.47),
 debhelper-compat (= 12),
 docbook-xsl,
 intltool (>= 0.37.1),
 libcanberra-gtk3-dev,
 libcinnamon-desktop-dev (>= 4.8.0),
 libcolord-dev (>= 0.1.27),
 libcups2-dev,
 libcvc-dev (>= 3.4~),
 libdbus-glib-1-dev (>= 0.88),
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev (>= 3.6.0),
 libgtk-3-dev (>= 3.9.10),
 libgudev-1.0-dev [linux-any],
 liblcms2-dev,
 libnotify-dev (>= 0.7.0),
 libnss3-dev,
 libpolkit-gobject-1-dev,
 libpulse-dev (>= 0.9.16),
 librsvg2-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.11),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libxklavier-dev,
 libxtst-dev,
 xserver-xorg-input-wacom [!s390x !hurd-any !kfreebsd-any],
 xsltproc,
Standards-Version: 3.9.8

Package: cinnamon-settings-daemon
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3), ${misc:Depends}, ${shlibs:Depends}
Recommends: cinnamon-l10n, pulseaudio
Suggests:
 cinnamon-screensaver,
 gnome-calculator | galculator | mate-calc,
 gnome-power-manager,
 gnome-screenshot,
 muffin | x-window-manager,
 tracker-gui | gnome-search-tool,
 x11-xserver-utils,
Pre-Depends: ${misc:Pre-Depends}
Description: daemon handling the Cinnamon session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a Cinnamon session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: cinnamon-settings-daemon-dev
Architecture: any
Depends:
 libdbus-glib-1-dev (>= 0.74),
 libglib2.0-dev (>= 2.26.0),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Headers for building applications communicating with cinnamon-settings-daemon
 This package contains header files required to build applications that
 communicate with the Cinnamon settings daemon over D-Bus.

## cinnamon-settings-daemon 5.4.2

=== debian/changelog ===
cinnamon-settings-daemon (5.4.2-1) experimental; urgency=medium

  * New upstream version 5.4.2

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 17 Jul 2022 21:29:31 +0200

cinnamon-settings-daemon (5.4.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * cinnamon-settings-daemon-dev: Add Multi-Arch: same.

  [ Fabio Fantoni ]
  * New upstream version 5.4.1 (Closes: 897577)
  * Update d/copyright
  * d/control:
    - dump meson required version to 0.47
    - remove libdbus-glib-1-dev from build-deps
    - dump deps and breaks of reverse-deps to 5.4
  * Simplify d/watch
  * Refresh d/patches
  * Add removed etc files to maintscript
  * Specify that rules don't require root
  * Bumped Standards-Version to 4.6.1

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 22:47:16 +0200
